#
# Window-dependent part of Module Browser window.
#
import sys
import TwitCore


class ModuleBrowser(TwitCore.ModuleBrowser):
	"""The module-browser dialog - Window-dependent part"""
	def open(self, module):
		pass # Open our window, initialize widgets

		self.mi_open(module)	
		
	def setsource(self, msg):
		"""Set source-window to self.cur_source, or display msg if None"""
		if self.cur_source:
			pass # Show current source, fill source window
		else:
			pass # Show msg, clear source window

	def source_setbreaks(self, list):
		"""Show linenumbers in list to contain breakpoints"""
		pass # Show breakpoints at linenumbers in list

	def setmodulenames(self):
		"""Load self.cont_modules into module selector list"""
		pass

	def module_select(self, number):
		"""Select module number"""
		pass

	def setvars(self):
		"""Load self.cont_varnames, self.cont_varvalues into browser"""
		pass 
		
	def close(self):
		"""Close our window"""
		self.parent.module_dialog = None
		pass

	# Callbacks:
	# self.click_module(name) when a module is selected
	# self.click_var(var) when a var is double-clicked
	# self.click_source(lineno, inborber) when a source line is clicked
	# self.click_edit() when the edit button is clicked
